Last modified: 2014-02-20 15:45:32 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 56385 - Clean up UI element creation
Clean up UI element creation
Status: RESOLVED FIXED
Product: MediaWiki extensions
Classification: Unclassified
MultimediaViewer (Other open bugs)
unspecified
All All
: Normal normal (vote)
: ---
Assigned To: Nobody - You can work on this!
:
Depends on:
Blocks: code_quality
  Show dependency treegraph
 
Reported: 2013-10-30 20:13 UTC by Mark Holmquist
Modified: 2014-02-20 15:45 UTC (History)
4 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments

Description Mark Holmquist 2013-10-30 20:13:15 UTC
Should be helper functions, and probably could split up UI creation into a bunch of smaller bits so it's not such a long dredge.
Comment 1 Tisza Gergő 2013-11-04 22:15:17 UTC
What do you think about splitting up the whole thing into an interface and a data part? The data part would do the API requests, and only access the interface via setter calls. The interface could then be split up into small modules, each with its own create and setter calls.
Comment 2 Mark Holmquist 2013-11-04 22:20:01 UTC
That's basically the plan long-term. I'll try to keep pushing it towards the side of goodness and order and try to avoid adding more cruft.
Comment 3 Mark Holmquist 2013-11-20 00:15:25 UTC
Sort of better now, but still an issue.
Comment 4 Mark Holmquist 2013-11-20 00:16:01 UTC
Is this still an issue after the moment.js patch got merged? I don't know.
Comment 5 Mark Holmquist 2013-11-20 00:16:15 UTC
Oh, sorry, wrong bug. Fail.

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links